import argparse
import os

def valid_file(param):
    if param is None:
        pass
    elif not os.path.exists(param):
        raise argparse.ArgumentTypeError(param + ': no such file')
    return param


class GenomicCoord(object):

    def __init__(self, row):
        if len(row) == 6:
            i = 1
        elif len(row) == 7:
            i = 0
            self.uid = row[0]
        else:
            raise Exception("Expected 6 or 7 columns, found " + str(len(row)))
        self.chrom = row[1-i]
        self.start = row[2-i]
        self.end = row[3-i]
        self.strand = row[4-i]
        self.ref = row[5-i]
        self.alt = row[6-i]
