class SNVReader(object):
    """
    Read a file with genomic coordinates
    """
    def __init__(self, filename):
        self.fh = file(filename, 'r')

    def __iter__(self):
        return self

    def next(self):
        while True:
            try:
                line = self.fh.readline()
                if line == "":
                    self.fh.close()
                    raise StopIteration
                line=line.strip().replace(' ','\t')
                return SNV(line)
            except Exception as e:
                raise


class SNV(object):
    """
    Store genomic coordinate
    """
    index =  1

    def __init__(self, line):
        try:
            self.index = SNV.index
            SNV.index += 1
            self.line = line
            row = self.line.split("\t")
        except Exception as e:
            raise
        if len(row) > 0:
            try:
                # If user did not assign uid, store
                # uid as row index
                i = 0
                if len(row) == 5:
                    self.uid = str(self.index)
                    i = 1
                # otherwise, store user assigned
                # uid
                elif len(row) == 6:
                    self.uid = row[0]
                self.chrom = row[1-i]
                #self.start = row[2-i]
                self.end = row[2-i]
                self.strand = row[3-i]
                self.ref = row[4-i]
                self.alt = row[5-i]
            except Exception as e:
                raise
        else:
            raise Exception("Expected a tab delimited file")
